// Cbreak.h : main header file for the CBREAK application
//

#if !defined(AFX_CBREAK_H__75E3B44C_9933_4463_BE00_6E8D40F87A80__INCLUDED_)
#define AFX_CBREAK_H__75E3B44C_9933_4463_BE00_6E8D40F87A80__INCLUDED_

#include "CirclemudEditorDlg.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#pragma warning(disable:4786)
#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CCbreakApp:
// See Cbreak.cpp for the implementation of this class
//

// this is our 'application'.  We have two things - an application, and a world. World contains
// pretty much all data.  It's a nice thing to have.  The app of course, is the thing that
// deals with all data, asks it to modify itself, and etc.


class CCbreakApp : public CWinApp
{
public:
	CirclemudEditorDlg *dlg;

	CCbreakApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCbreakApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CCbreakApp)
	afx_msg void OnAppAbout();
	afx_msg void OnFileNewzone();
	afx_msg void OnFileNewworld();
	afx_msg void OnFileSaveworld();
	afx_msg void OnEditClear();
	afx_msg void OnEditCopy();
	afx_msg void OnEditCut();
	afx_msg void OnEditPaste();
	afx_msg void OnEditSelectAll();
	afx_msg void OnEditUndo();
	afx_msg void OnImprovededitFormat();
	afx_msg void OnImprovededitFormati();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CBREAK_H__75E3B44C_9933_4463_BE00_6E8D40F87A80__INCLUDED_)
