// Mob.h: interface for the Mob class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOB_H__7D665B5F_45EB_47F3_A6CC_9D8E8DBABFA1__INCLUDED_)
#define AFX_MOB_H__7D665B5F_45EB_47F3_A6CC_9D8E8DBABFA1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "utils.h"

class Mob  
{
public:
	bool write_mob(CircleFile *);
	int attack_type;
	int level;
	int zone;
	int load_mob(CircleFile *cf);
	int stats[NUM_OF_STATS];
	int gender;
	int default_pos;
	int load_pos;
	int experience;
	int gold;
	int attack_bonus;
	int attack_dice;
	int attack_size;
	int hit_bonus;
	int hit_size;
	int hit_dice;
	int ac;
	int thac0;
	int alignment;
	int affect;
	int action;
	string ddesc;
	string ldesc;
	string sdesc;
	string alias;
	int number;
	Mob();
	virtual ~Mob();

private:
	int ascii2bitvector(const char *input);
	void bitvector2ascii(char *output, int bitvector);
};

#endif // !defined(AFX_MOB_H__7D665B5F_45EB_47F3_A6CC_9D8E8DBABFA1__INCLUDED_)
